# update rarian database
if [ -x usr/bin/rarian-sk-update ]; then
  usr/bin/rarian-sk-update 1> /dev/null 2> /dev/null
fi

# update mime database
if [ -x usr/bin/update-mime-database ]; then
  usr/bin/update-mime-database usr/share/mime 1> /dev/null 2> /dev/null
fi

# update desktop entries
if [ -x usr/bin/update-desktop-database ]; then
  usr/bin/update-desktop-database 1> /dev/null 2> /dev/null
fi

# update hicolor icons
if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
	rm -f usr/share/icons/hicolor/icon-theme.cache
fi
usr/bin/gtk-update-icon-cache -f -q usr/share/icons/hicolor 1>/dev/null 2>/dev/null

if [ -x /usr/bin/glib-compile-schemas ]; then
  /usr/bin/glib-compile-schemas usr/share/glib-2.0/schemas/ >/dev/null 2>&1
fi

# Restart gconfd-2 if running to reload new gconf settings
if ps acx | grep -q gconfd-2 ; then
        killall -HUP gconfd-2 ;
fi

( cd usr/share/gnome/help/brasero/zh_HK/figures ; rm -rf brasero_main.png )
( cd usr/share/gnome/help/brasero/zh_HK/figures ; ln -sf ../../C/figures/brasero_main.png brasero_main.png )
( cd usr/share/gnome/help/brasero/ca/figures ; rm -rf brasero_main.png )
( cd usr/share/gnome/help/brasero/ca/figures ; ln -sf ../../C/figures/brasero_main.png brasero_main.png )
( cd usr/share/gnome/help/brasero/zh_CN/figures ; rm -rf brasero_main.png )
( cd usr/share/gnome/help/brasero/zh_CN/figures ; ln -sf ../../C/figures/brasero_main.png brasero_main.png )
( cd usr/share/gnome/help/brasero/sl/figures ; rm -rf brasero_main.png )
( cd usr/share/gnome/help/brasero/sl/figures ; ln -sf ../../C/figures/brasero_main.png brasero_main.png )
( cd usr/share/gnome/help/brasero/ru/figures ; rm -rf brasero_main.png )
( cd usr/share/gnome/help/brasero/ru/figures ; ln -sf ../../C/figures/brasero_main.png brasero_main.png )
( cd usr/share/gnome/help/brasero/en_GB/figures ; rm -rf brasero_main.png )
( cd usr/share/gnome/help/brasero/en_GB/figures ; ln -sf ../../C/figures/brasero_main.png brasero_main.png )
( cd usr/share/gnome/help/brasero/gl/figures ; rm -rf brasero_main.png )
( cd usr/share/gnome/help/brasero/gl/figures ; ln -sf ../../C/figures/brasero_main.png brasero_main.png )
( cd usr/lib ; rm -rf libbrasero-media.so.1 )
( cd usr/lib ; ln -sf libbrasero-media.so.1.2.0 libbrasero-media.so.1 )
( cd usr/lib ; rm -rf libbrasero-media.so )
( cd usr/lib ; ln -sf libbrasero-media.so.1.2.0 libbrasero-media.so )
( cd usr/lib ; rm -rf libbrasero-utils.so )
( cd usr/lib ; ln -sf libbrasero-utils.so.1.2.0 libbrasero-utils.so )
( cd usr/lib ; rm -rf libbrasero-utils.so.1 )
( cd usr/lib ; ln -sf libbrasero-utils.so.1.2.0 libbrasero-utils.so.1 )
( cd usr/lib ; rm -rf libbrasero-burn.so.1 )
( cd usr/lib ; ln -sf libbrasero-burn.so.1.2.0 libbrasero-burn.so.1 )
( cd usr/lib ; rm -rf libbrasero-burn.so )
( cd usr/lib ; ln -sf libbrasero-burn.so.1.2.0 libbrasero-burn.so )
